%bcond_without xvmc
%bcond_with fribidi
%bcond_without ivtv
%bcond_without pulseaudio
%bcond_without libcaca
%bcond_without ladspa
%bcond_without dirac
%bcond_without smbclient
%if 0%{?fedora} > 29
%bcond_with musepack
%else
%bcond_without musepack
%endif
%bcond_without enca
%bcond_without xss
%bcond_without gui
%if 0%{?fedora} > 24 || 0%{?rhel} > 7
%bcond_without libvpx
%bcond_with directfb
%else
%bcond_without libvpx16
%endif
%if 0%{?fedora} > 33
%bcond_with directfb
%else
%bcond_without directfb
%endif
%bcond_with debug
#%bcond_without cdparanoia
%global debug_package %{nil}

%define desktop_vendor  atrpms
#%define snapshot snap20180607

Summary: MPlayer, the Movie Player for Linux
Name: mplayer
Version: 1.4
#Release: 101%{snapshot}%{?dist}
Release: 102%{?dist}
Epoch: 4
License: GPLv2
Group: Applications/Multimedia
Source0: ftp://ftp.mplayerhq.hu/MPlayer/releases/MPlayer-%{version}.tar.xz
#Source0: ftp://ftp.mplayerhq.hu/MPlayer/releases/mplayer-export-snapshot.tar.bz2
#Source0: mplayer-r34027.tar.bz2
#Source1: http://www.ffmpeg.org/releases/ffmpeg-snapshot.tar.bz2
URL: http://mplayerhq.hu/
# use system FFmpeg libraries
#Patch3:         %{name}-ffmpeg.patch
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: gcc-c++
BuildRequires: git
BuildRequires: gtk2-devel, SDL-devel, libpng-devel, lame-devel, libogg-devel, libvorbis-devel, libtheora-devel
BuildRequires: libmad-devel, libjpeg-devel
BuildRequires: libfame-devel, libdvdcss-devel
%{?with_directfb:BuildRequires: directfb-devel}
%{?with_gui:BuildRequires: desktop-file-utils}
BuildRequires: alsa-lib-devel
BuildRequires: aalib-devel
BuildRequires: lirc-devel
%{?with_cdparanoia:BuildRequires: cdparanoia-devel}
BuildRequires: libdv-devel
BuildRequires: ffmpeg-devel
BuildRequires: arts-devel
BuildRequires: live-devel >= 2004.01.05
BuildRequires: xvidcore-devel >= 1.3
BuildRequires: esound-devel
BuildRequires: libdvdread-devel
BuildRequires: faad2-devel
BuildRequires: lzo-devel
BuildRequires: libfame-devel
%if 0%{?fedora} > 16 || 0%{?rhel} > 6
BuildRequires: samba-common
%else
BuildRequires: samba-common < 4
%endif
%{?with_fribidi:BuildRequires: fribidi-devel}
%{?with_enca:BuildRequires: enca-devel}
BuildRequires: libXinerama-devel, libXxf86vm-devel, libXxf86dga-devel,
BuildRequires: libGL-devel
BuildRequires: fontconfig-devel
BuildRequires: libXvMCW-devel, libXv-devel
BuildRequires: giflib-devel
BuildRequires: libdca-devel
%if 0%{?fedora} > 20 || 0%{?rhel} > 7
%else
%ifarch %{ix86}
BuildRequires: devtoolset-8
BuildRequires: devtoolset-8-gcc
BuildRequires: devtoolset-8-gcc-c++
%endif
%ifarch x86_64
BuildRequires: devtoolset-8
BuildRequires: devtoolset-8-gcc
BuildRequires: devtoolset-8-gcc-c++
%endif
%endif
%ifarch %ix86 x86_64
BuildRequires: x264-devel
%endif
#%{?with_ivtv:BuildRequires: ivtv-devel}
BuildRequires: speex-devel >= 1.1
BuildRequires: jack-audio-connection-kit-devel
%ifarch %ix86 x86_64
BuildRequires: svgalib-devel
%endif
BuildRequires: ncurses-devel
%{?with_pulseaudio:BuildRequires: pulseaudio-libs-devel}
BuildRequires: yasm
%{?with_smbclient:BuildRequires: libsmbclient-devel}
BuildRequires: bzip2-devel
BuildRequires: twolame-devel
%{?with_libcaca:BuildRequires: libcaca-devel}
%{?with_ladspa:BuildRequires: ladspa-devel}
#%{?with_dirac:BuildRequires: dirac-devel, schroedinger-devel}


BuildRequires: libdvdnav-devel
BuildRequires: libvdpau-devel
BuildRequires: xmms-devel
BuildRequires: a52dec-devel
%{?with_musepack:BuildRequires: musepack-tools-devel}
%{?with_xss:BuildRequires: libXScrnSaver-devel}

BuildRequires: opencore-amr-devel
BuildRequires: mpeg2dec-devel
BuildRequires: libcdio-devel
%{?with_bluray:BuildRequires: libbluray-devel}
BuildRequires: librtmp-devel
BuildRequires: libnemesi-devel
%{?with_libvpx:BuildRequires: libvpx-devel}
%{?with_libvpx-16:BuildRequires: libvpx-16-devel}
BuildRequires: mpg123-devel
BuildRequires: gsm-devel
#BuildRequires: toolame-devel
BuildRequires: openjpeg-devel
BuildRequires: openal-devel
BuildRequires: nas-devel

Requires: mplayer-fonts
%if %{with gui}
Provides: mplayer-gui = %{evr}
Obsoletes: mplayer-gui < %{evr}
# needed by gmplayer (/usr/share/mplayer/skins/default/skin)
Requires: mplayer-skins
%else
Conflicts: mplayer-gui
%endif
Provides: mencoder = %{evr}
Obsoletes: mencoder < %{evr}

%description
MPlayer is a movie player. It plays most MPEG, VOB, AVI, OGG/OGM,
VIVO, ASF/WMA/WMV, QT/MOV/MP4, FLI, RM, NuppelVideo, YUV4MPEG, FILM,
RoQ, PVA files, supported by many native, XAnim, and Win32 DLL
codecs. You can watch VideoCD, SVCD, DVD, 3ivx, DivX 3/4/5 and even
WMV movies, too (without the avifile library).

Another great feature of MPlayer is the wide range of supported output
drivers. It works with X11, XV, DGA, OpenGL, SVGAlib, fbdev, AAlib,
DirectFB, but you can use GGI, SDL (and this way all their drivers),
VESA (on every VESA compatible card, even without X11!) and some low
level card-specific drivers (for Matrox, 3Dfx and ATI), too! Most of
them support software or hardware scaling, so you can enjoy movies in
fullscreen. MPlayer supports displaying through some hardware MPEG
decoder boards, such as the Siemens DVB, DXR2 and DXR3/Hollywood+!

MPlayer has an onscreen display (OSD) for status information, nice big
antialiased shaded subtitles and visual feedback for keyboard
controls. European/ISO 8859-1,2 (Hungarian, English, Czech, etc),
Cyrillic and Korean fonts are supported along with 9 subtitle formats
(MicroDVD, SubRip, SubViewer, Sami, VPlayer, RT, SSA, AQTitle, JACOsub
and our own: MPsub). DVD subtitles (SPU streams, VobSub and Closed
Captions) are supported.

%prep
%setup -n MPlayer-%{version}
#%setup -n mplayer-export-2018-06-06
# Avoid standard rpaths for xmms on lib64 archs:
sed -i -e 's,_xmmslibdir=.*/lib,_xmmslibdir=%{_libdir},g' configure
sed -i -e 's, "-lungif",,' configure
#%patch3 -p1 -b .ffmpeg
# Fix ru encoding (ATrpms bug #1516)
doconv() {
    iconv -f $1 -t $2 -o DOCS/man/$3/mplayer.1.utf8 DOCS/man/$3/mplayer.1 && \
    mv DOCS/man/$3/mplayer.1.utf8 DOCS/man/$3/mplayer.1
}
for lang in de es fr it ; do doconv iso-8859-1 utf-8 $lang ; done
for lang in hu pl ; do doconv iso-8859-2 utf-8 $lang ; done
for lang in ru ; do doconv koi8-r utf-8 $lang ; done
echo "nameserver 8.8.8.8" > /etc/resolv.conf

%build
env \
%ifarch %ix86
host_arch=i386 \
proc=i686 \
iproc=686 \
%endif
%ifarch x86_64
host_arch=x86_64 \
proc=x86_64 \
iproc=x86_64 \
%endif
%ifarch ppc
host_arch=ppc \
proc=ppc \
iproc=ppc \
%endif
./configure \
        --extra-cflags="-I%{_includedir}/directfb" \
        --prefix=%{_prefix} \
        --libdir=%{_libdir} \
        --datadir=%{_datadir}/mplayer \
        --confdir=%{_sysconfdir}/mplayer \
        --mandir=%{_mandir} \
        \
        %{?with_gui:--enable-gui} \
        --enable-joystick \
        --enable-radio \
        --enable-radio-capture \
        --enable-menu \
        \
        --enable-xmms \
	%{?with_musepack:--enable-musepack} \
	\
        %{?with_xvmc:--enable-xvmc} \
        --with-xvmclib=XvMCW \
        \
        --enable-runtime-cpudetection \
        --language=all

%if %{with directfb}
perl -pi -e"s,^DIRECTFB_INC .*,DIRECTFB_INC =`pkg-config --cflags directfb`," config.mak
perl -pi -e"s,^DIRECTFB_LIB .*,DIRECTFB_LIB =`pkg-config --libs directfb`," config.mak
%endif

#fix for gcc on el6
%if 0%{?fedora} > 20 || 0%{?rhel} > 7
     make 
%else
     %ifarch %{ix86}
         scl enable devtoolset-8 make
     %endif
     %ifarch x86_64
         scl enable devtoolset-8 make
     %endif
%endif

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

%if %{with gui}
mkdir -p %{buildroot}%{_datadir}/%{name}/skins
%endif

cat > %{buildroot}%{_sysconfdir}/mplayer/mplayer.conf << EOF
# Default video output is xv, then xvidix, then try others
#vo=xv,xvidix,
# Default audio output is pulse, then alsa, then try others
#ao=pulse,alsa,
EOF

%ifarch %ix86
cp -a ./%{_sysconfdir}/codecs.conf %{buildroot}/%{_sysconfdir}/mplayer/codecs.conf
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, 755)
%doc AUTHORS Changelog DOCS/ README etc/*.conf
%dir %{_sysconfdir}/mplayer
%ifarch %ix86
%config %{_sysconfdir}/mplayer/codecs.conf
%endif
%config %{_sysconfdir}/mplayer/mplayer.conf
%{_bindir}/*
%if %{with gui}
%dir %{_datadir}/mplayer
%exclude %{_datadir}/applications/%{name}.desktop
%{_datadir}/applications/*%{name}.desktop
%dir %{_datadir}/%{name}/skins
%{_datadir}/icons/hicolor
%endif
%{_mandir}/man1/*.1*
%lang(de) %{_mandir}/de/man1/*.1*
%lang(es) %{_mandir}/es/man1/*.1*
%lang(fr) %{_mandir}/fr/man1/*.1*
%lang(hu) %{_mandir}/hu/man1/*.1*
%lang(pl) %{_mandir}/pl/man1/*.1*
%lang(it) %{_mandir}/it/man1/*.1*
%lang(cs) %{_mandir}/cs/man1/*.1*
%lang(ru) %{_mandir}/ru/man1/*.1*
%lang(zh) %{_mandir}/zh*/man1/*.1*

%changelog
* Wed May 1 2019 Stephen Collier <stephenbcollier@gmail.com> - 1.4.102%{?dist}
- Update to 1.4.0

* Wed Jan 30 2019 Stephen Collier <stephenbcollier@gmail.com> - 1.3.101%{?dist}
- Update to 1.3.0 snapshot version rebuild for cdio update

* Mon Oct 22 2018 Stephen Collier <stephenbcollier@gmail.com> - 1.3.0-100%{?dist}
- Update to 1.3.0 snapshot version rebuild for lib555 security patch

* Thu Jun 7 2018 Stephen Collier <stephenbcollier@gmail.com> - 1.3.0-99%{?dist}
- Update to 1.3.0 snapshot version.

* Mon Jun 27 2016 Stephen Collier <stephenbcollier@gmail.com> - 1.3.0-97%{?dist}
- Update to 1.3.0 release version.

* Mon Feb  1 2016 Stephen Collier <stephenbcollier@gmail.com> - 1.2.1-96%{?dist}
- Update to 1.2.1 release version.

* Sun Nov 30 2015 Stephen Collier <stephenbcollier@gmail.com> - 1.2-95%{?dist}
- Update to 1.2 release version.

* Sat Aug  9 2014 Stephn Collier <stephenbcollier@gmail.com> - 4:1.2-94_snap20140413%{?dist}
- Update to latest rebuild for upstream depend.

* Sun Apr 13 2014 Paulo Roma <roma@lcg.ufrj.br> - 4:1.2-93_snap20140413%{?dist}
- Update to latest snapshot.

* Fri Sep 20 2013 Axel Thimm <Axel.Thimm@ATrpms.net> - 4:1.2-92_snap20130920%{?dist}
- Update to latest snapshot.

* Thu May 09 2013 Axel Thimm <Axel.Thimm@ATrpms.net> - 4:1.1-91_snap20130509%{?dist}
- Update to latest snapshot.

* Sun Mar 11 2012 Axel Thimm <Axel.Thimm@ATrpms.net> - 4:1.0-90_snap20120311%{?dist}
- Update to latest snapshot.

* Fri Feb 10 2012 Axel Thimm <Axel.Thimm@ATrpms.net> - 4:1.0-89_snap20120210%{?dist}
- Update to latest snapshot.

* Wed Jan  4 2012 Axel Thimm <Axel.Thimm@ATrpms.net> - 4:1.0-88_snap20120102%{?dist}
- Update to latest snapshot.

* Tue Aug 30 2011 Axel Thimm <Axel.Thimm@ATrpms.net> - 4:1.0-87_snap20110830%{?dist}
- Update to latest snapshot.

* Thu Aug 11 2011 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to latest snapshot.

* Sat Jun 11 2011 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to latest snapshot.

* Tue Jun  7 2011 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to latest snapshot.

* Fri Apr 15 2011 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to today's checkout.

* Tue Feb 22 2011 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to today's checkout.

* Sat Jan 15 2011 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to today's checkout.

* Sat Oct  2 2010 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to today's checkout.

* Sat Jun 19 2010 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to today's checkout.

* Mon May 24 2010 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to today's checkout.

* Sat Apr 03 2010 Paulo Roma <roma@lcg.ufrj.br>
- Update to today's checkout.
- Removed deprecated patch MPlayer-0.90-playlist.patch

* Sun Jan 24 2010 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to today's checkout.

* Fri Nov 20 2009 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to today's checkout.

* Sun Oct 18 2009 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to today's checkout.

* Sat Sep 12 2009 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to today's checkout.
- Remove mkv fix - it didn't work.

* Sun Aug 30 2009 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to today's checkout.
- Remove some unused bcond flags.
- Add fix for mkv files on gcc 4.4 (#1506).
- Allow width of more than 2048 pixels.
- Add skins dependency (#1499).
- Fix ru encoding (#1516).

* Sun Apr 19 2009 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to today's checkout.

* Sat Mar 14 2009 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to today's checkout.

* Fri Feb 01 2008 Paulo Roma <roma@lcg.ufrj.br> 1.0-63_rc2
- Patched for being pulseaudio compatible.
- Fixed 4 vulnerabilities found in the 1.0rc2 version. 

* Sat Oct 13 2007 Paulo Roma <roma@lcg.ufrj.br> 1.0-62_rc2
- Removed enable-live because it was causing the misdetection of live.

* Thu Oct 11 2007 Paulo Roma <roma@lcg.ufrj.br> 1.0-61_rc2
- Updated to 1.0rc2.

* Fri Jun  8 2007 Paulo Roma <roma@lcg.ufrj.br> 1.0-60_r23482
- Reenabled codecs.conf (only for i386).
- Enabled support for xmms.
- Enabled radio interface.

* Wed Jun  6 2007 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to latest svn trunk, r23482, fixing CVE-2007-2948.
- live and libdvdnav support broke with this mplayer version.

* Tue Jan  2 2007 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to latest svn trunk, fixing CVE-2006-6172.

* Tue Oct 24 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.0rc1.

* Thu Jun 22 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.0pre8.
- Deactivate ivtv and mythtv patches as they don't currently apply
  anymore.

* Tue Mar  7 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Disable shared postproc library.

* Mon Nov 14 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Use external faad.

* Sat Sep 24 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.0pre7try2.
- Add fbdev support (HaJo Schatz <hajo@hajo.net>).

* Sun Jul 17 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Add v4l support (Chris Schultz <chris.schultz@hp.com>).

* Sun Apr 17 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.0.pre7.

* Fri Dec 24 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.0pre6.

* Fri Dec 17 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.0pre5try2.

* Fri Jul 16 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.0pre5.

* Wed Apr 28 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.0pre4.

* Thu Apr 15 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Change default vo/ao devices.

* Sun Apr 11 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Add patch for using the ivtv framebuffer through DMA.

* Sun Apr 11 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to cvs version due to http vulnerability.

* Sat Dec 13 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.0pre3.

* Sat Nov 22 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Built against ALSA 1.0.0.

* Tue Oct  7 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.0pre2.
- synced with freshrpms.

* Sun Oct  5 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 1.0rc2.

* Thu Oct  2 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to today's CVS snapshot.
- Fixed menu entry (missing trailing ";" to Categories=!).

* Wed Sep  3 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 1.0pre1.

* Fri Aug  8 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to today's cvs snapshot.
- Added libfame support.
- Enabled translated man pages.
- Added osdmenu and samba build switches.
- Disabled codecs.conf, as it's not installed anymore.
- Fixed xvidcore build requirement, as link is static.
- Removed explicit /sbin/ldconfig dep, picked up automatically.

* Wed Jun 18 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Add dependecy to mplayer-skin-default
  (reported by "Jarod C. Wilson" <jcw@wilsonet.com>).

* Mon Jun 16 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to today's cvs snapshot.
- Reverted Requires(...) to plain Requires.
- Changed %%pre / %%post to -p.
- Added libpostproc install workaround since it seems broken.

* Mon Apr 28 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Added libpng dependencies.

* Tue Apr 15 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Split off the last skin, and require the current default skin.
- Split off fonts from main package.
- Synced with freshrpms.net.
- Disabled %%{?_smp_mflags} (is currently broken).

* Wed Apr  9 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Apply patch from Matt Zimmerman <mdz@debian.org> for mythtv nuv format.

* Tue Apr  8 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Split libpostproc (to remove mplayer dep from transcode).
- Added faad2 support and explicit lzo dep.

* Mon Apr  7 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.90.

* Sat Mar 15 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Added gcccheck build option.
- Added freedesktop build option.

* Wed Feb 12 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.90rc4.

* Mon Feb 10 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Updated default skin to 1.7.

* Fri Jan 24 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Added support for realmedia.

* Thu Jan 23 2003 Jeffrey C. Ollie <jcollie@pc04771.dmacc.cc.ia.us>
- Added LIVE.COM Streaming Media support (default = off).

* Wed Jan 22 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Added --without dvdnav build option.

* Mon Jan 20 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Added "--without esd" build option.

* Mon Jan 20 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.90rc3.

* Sat Jan 11 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Replace all divx4linux stuff with xvid.
- Rebuilt with libavcodec from ffmpeg, doh!

* Thu Jan  2 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.90rc2, updated the cdda patch too.

* Mon Dec  9 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.90rc1.

* Fri Nov 15 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Re-enabled the auto req/prov.

* Tue Nov 12 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.90pre10.
- Added CDDA support through cdparanoia + include fix.
- Enabled shared postproc library.
- Fixed VCD support by having redhat -> linux (probably fixes joystick too).
- Removed CFLAGS overwriting.

* Sat Oct 26 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Fixed aa with --disable-aa instead of --disable-aalib.

* Fri Oct 25 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.90pre9.
- Enable ALSA by default now.
- Added patch to remove that awful startup message about runtime cpudetection.
- Added libdvdnav support for rebuild.

* Thu Oct  3 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Enforced --without libdv, lirc options to disable even if libs are present.

* Sat Sep 28 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt for Red Hat Linux 8.0.
- Added new menu entry.
- New --with and --without rebuild options.

* Fri Sep 20 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.90pre8.
- Added some files to the %%doc section.

* Thu Sep  5 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.90pre7.
- Removed obsolete prefix.
- Explicitely disable ALSA for now.

* Tue Aug 20 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt with libdvdnav... but removed, just too experimental :-(
- Added direct DVD menu entry.

* Tue Aug 13 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Added arts dependency.

* Tue Aug  6 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.90pre6.
- Added aalib and lirc build dependencies to get a full-featured binary.
- Updated %%description.
- Added iso-8859-2 font in the package.
- Cleaned up old unuseful hacks.

* Mon Jun 10 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.90pre5.

* Tue May 14 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.90pre4.
- Overwrite the absolute link for the mencoder.1 man page.

* Sat May 11 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Added the mime types for the menu entry.

* Thu May  2 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Added CFLAGS for configure and i18n.
- Rebuilt against Red Hat Linux 7.3.
- Added the %%{?_smp_mflags} expansion.

* Tue Apr 30 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.90pre2.
- Fixed the libGLcore.so.1 and lirc dependencies.
- Build with gcc 2.96 instead of gcc3.

* Fri Apr 26 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.90pre1, fully GPL at last! Here come the binary packages :-)

* Fri Feb  1 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to today's current version.
- Added 3 skins + removed workaround since skin archives are fixed.

* Wed Jan  2 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- %%doc cleanup and update to today's build.
- Modified for the new CONFDIR stuff.

* Wed Dec 12 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Initial RPM release.

